//
//  HDGroupModel.h
//  PortableTreasure
//
//  Created by HeDong on 14/12/14.
//  Copyright © 2014年 hedong. All rights reserved.
//

#import <Foundation/Foundation.h>

@class HDBaseModel;

@interface HDGroupModel : NSObject

/**
 *  组头文本
 */
@property (nonatomic, copy) NSString *headerText;

/**
 *  存放每组里面的基本模型或者基本模型子类
 */
@property (nonatomic, strong) NSArray<__kindof HDBaseModel *> *baseModels;

/**
 *  组尾文本
 */
@property (nonatomic, copy) NSString *footerText;

/**
 *  快速创建HDGroupModel对象
 *
 *  @param headerText 组头文本
 *  @param baseModels 存放每组里面的基本模型
 *  @param footerText 组尾文本
 */
+ (__kindof HDGroupModel *)groupModelWithHeaderText:(NSString *)headerText baseModels:(NSArray<__kindof HDBaseModel *> *)baseModels footerText:(NSString *)footerText;

@end
