//
//  HDBaseTableViewCell.m
//  PortableTreasure
//
//  Created by HeDong on 14/12/14.
//  Copyright © 2014年 hedong. All rights reserved.
//

#import "HDBaseTableViewCell.h"
#import "HDBaseModel.h"

@implementation HDBaseTableViewCell

+ (__kindof HDBaseTableViewCell *)baseTableViewCellWithTableView:(UITableView *)tableView
{
    static NSString * const baseTableViewCellID = @"baseTableViewCellID";
    HDBaseTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:baseTableViewCellID];
    
    if (!cell)
    {
        cell = [[self alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:baseTableViewCellID];
    }
    
    return cell;
}

- (void)setBaseModel:(HDBaseModel *)baseModel
{
    _baseModel = baseModel;
    [self setUpBaseData];
}

- (void)setUpBaseData
{
    self.textLabel.text = self.baseModel.labelText;
    self.detailTextLabel.text = self.baseModel.detailedText;
    self.imageView.image = [UIImage imageNamed:self.baseModel.iconName];
}

@end
